| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ResourceBackgroundQueue::Listener Class Referenceabstract

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...

`#include <OgreResourceBackgroundQueue.h>`

## Public Member Functions
virtual | ~Listener ()
| Need virtual destructor in case subclasses use it. More...
virtual void | operationCompleted (BackgroundProcessTicket ticket, const BackgroundProcessResult &result)=0
| Called when a requested operation completes, queued into main thread. More...

## Detailed Description

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.

Note
  For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Ogre::ResourceBackgroundQueue::Listener::~Listener | ( |  | ) |
| inline virtual

Need virtual destructor in case subclasses use it.

## Member Function Documentation

## ◆ operationCompleted()

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompleted | ( | BackgroundProcessTicket | ticket,
|  | const BackgroundProcessResult & | result
| ) |  |
| pure virtual

Called when a requested operation completes, queued into main thread.

Note
  For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety.

The documentation for this class was generated from the following file:

- OgreResourceBackgroundQueue.h